{
  pkgs,
  inputs,
  ...
}: let
  system = pkgs.system;
  nixvim = inputs.nixvim.legacyPackages.${system};
  icons = import ./config/icons.nix;
  nixvimModule = {
    pkgs = inputs.unstable.legacyPackages.${system};
    module = import ./config;
    extraSpecialArgs = {inherit icons;};
  };
in (nixvim.makeNixvimWithModule nixvimModule)
